# eric7.HelpViewer.HelpViewerImpl

Module implementing the help viewer base class.

### Global Attributes

None

### Classes

HelpViewerImpl | Class implementing the help viewer base class.

### Functions

None

## HelpViewerImpl

Class implementing the help viewer base class.

This is the base class of help viewer implementations and defines the interface. Als subclasses must implement the these methods.

### Signals

loadFinished(ok)
  emitted to indicate the completion of a page load
titleChanged()
  emitted to indicate a change of the page title
zoomChanged()
  emitted to indicate a change of the zoom level

### Derived from

None

### Class Attributes

None

### Class Methods

None

### Methods

HelpViewerImpl | Constructor
gotoHistory | Public method to step through the history.
isBackwardAvailable | Public method to check, if stepping backward through the history is available.
isEmptyPage | Public method to check, if the current page is the empty page.
isForwardAvailable | Public method to check, if stepping forward through the history is available.
isScaleDownAvailable | Public method to check, if the min.
isScaleUpAvailable | Public method to check, if the max.
link | Public method to get the URL of the shown document.
pageTitle | Public method get the page title.
resetScale | Public method to reset the zoom level.
scale | Public method to get the zoom level.
scaleDown | Public method to zoom out.
scaleUp | Public method to zoom in.
setLink | Public method to set the URL of the document to be shown.
setScale | Public method to set the zoom level.

### Static Methods

None

#### HelpViewerImpl (Constructor)

HelpViewerImpl(engine)

Constructor

engine (QHelpEngine)
  reference to the help engine

#### HelpViewerImpl.gotoHistory

gotoHistory(index)

Public method to step through the history.

index (int)
  history index (<0 backward, >0 forward)

Raises RuntimeError:
  raised when not implemented

#### HelpViewerImpl.isBackwardAvailable

isBackwardAvailable()

Public method to check, if stepping backward through the history is available.

Return:
  flag indicating backward stepping is available

Return Type:
  bool

Raises RuntimeError:
  raised when not implemented

#### HelpViewerImpl.isEmptyPage

isEmptyPage()

Public method to check, if the current page is the empty page.

Return:
  flag indicating an empty page is loaded

Return Type:
  bool

Raises RuntimeError:
  raised when not implemented

#### HelpViewerImpl.isForwardAvailable

isForwardAvailable()

Public method to check, if stepping forward through the history is available.

Return:
  flag indicating forward stepping is available

Return Type:
  bool

Raises RuntimeError:
  raised when not implemented

#### HelpViewerImpl.isScaleDownAvailable

isScaleDownAvailable()

Public method to check, if the min. zoom level is reached.

Return:
  flag indicating scale down is available

Return Type:
  bool

Raises RuntimeError:
  raised when not implemented

#### HelpViewerImpl.isScaleUpAvailable

isScaleUpAvailable()

Public method to check, if the max. zoom level is reached.

Return:
  flag indicating scale up is available

Return Type:
  bool

Raises RuntimeError:
  raised when not implemented

#### HelpViewerImpl.link

link()

Public method to get the URL of the shown document.

Return:
  URL of the document

Return Type:
  QUrl

Raises RuntimeError:
  raised when not implemented

#### HelpViewerImpl.pageTitle

pageTitle()

Public method get the page title.

Return:
  page title

Return Type:
  str

Raises RuntimeError:
  raised when not implemented

#### HelpViewerImpl.resetScale

resetScale()

Public method to reset the zoom level.

Raises RuntimeError:
  raised when not implemented

#### HelpViewerImpl.scale

scale()

Public method to get the zoom level.

Return:
  current zoom level

Return Type:
  int

Raises RuntimeError:
  raised when not implemented

#### HelpViewerImpl.scaleDown

scaleDown()

Public method to zoom out.

Raises RuntimeError:
  raised when not implemented

#### HelpViewerImpl.scaleUp

scaleUp()

Public method to zoom in.

Raises RuntimeError:
  raised when not implemented

#### HelpViewerImpl.setLink

setLink(url)

Public method to set the URL of the document to be shown.

url (QUrl)
  URL of the document

Raises RuntimeError:
  raised when not implemented

#### HelpViewerImpl.setScale

setScale(scale)

Public method to set the zoom level.

scale (int)
  zoom level to set

Raises RuntimeError:
  raised when not implemented

Up